Bug 1425960 - Review Request: intel-mpi-benchmarks - Intel MPI benchmarks
Summary: Review Request: intel-mpi-benchmarks - Intel MPI benchmarks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: mk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-22 21:05 UTC by Michal Schmidt
Modified: 2017-04-01 16:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 16:51:22 UTC
mk: fedora-review+


Attachments (Terms of Use)

Description Michal Schmidt 2017-02-22 21:05:03 UTC
Spec URL: https://michich.fedorapeople.org/IMB/intel-mpi-benchmarks.spec
SRPM URL: https://michich.fedorapeople.org/IMB/intel-mpi-benchmarks-2017-1.fc26.src.rpm
Description:
The Intel MPI Benchmarks perform a set of MPI performance measurements for
point-to-point and global communication operations for a range of message
sizes. The generated benchmark data fully characterizes:
 - Performance of a cluster system, including node performance, network
   latency, and throughput
 - Efficiency of the MPI implementation used

Fedora Account System Username: michich

Comment 1 mk 2017-03-05 23:13:44 UTC
Looks good Michal.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "zlib/libpng". 301 files have unknown
     license. Detailed output of licensecheck in /home/mk/fedora/1425960
     -intel-mpi-benchmarks/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in intel-
     mpi-benchmarks-license , intel-mpi-benchmarks-openmpi , intel-mpi-
     benchmarks-mpich , intel-mpi-benchmarks-doc , intel-mpi-benchmarks-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     Note: Upstream source package contains no tests to run
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: intel-mpi-benchmarks-license-2017-1.fc27.noarch.rpm
          intel-mpi-benchmarks-openmpi-2017-1.fc27.x86_64.rpm
          intel-mpi-benchmarks-mpich-2017-1.fc27.x86_64.rpm
          intel-mpi-benchmarks-doc-2017-1.fc27.noarch.rpm
          intel-mpi-benchmarks-debuginfo-2017-1.fc27.x86_64.rpm
          intel-mpi-benchmarks-2017-1.fc27.src.rpm
intel-mpi-benchmarks-license.noarch: W: no-documentation
intel-mpi-benchmarks-openmpi.x86_64: W: no-documentation
intel-mpi-benchmarks-mpich.x86_64: W: no-documentation
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/searchdata.js
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/tree.css
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/intel_css_styles.css
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/NavScript.js
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/ehlpdhtm.js
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/tree.js
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/search.js
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_allgatherv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_allgatherv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_mpi1.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_mpi1.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_read.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_read.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_open_close.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_open_close.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_warm_up.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_warm_up.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_alltoall.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_alltoall.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bandwidth.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bandwidth.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_scatter.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_scatter.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_benchmark.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_benchmark.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_mem_manager.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_mem_manager.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_ones_accu.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_ones_accu.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_allreduce.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_allreduce.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_rma_put.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_rma_put.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_ones_bidir.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_ones_bidir.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_gather.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_gather.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_strgs.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_strgs.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_settings.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_settings.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bcast.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bcast.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_cpu_exploit.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_cpu_exploit.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_err_handler.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_err_handler.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_alltoallv.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_alltoallv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_sendrecv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_sendrecv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_rma_get.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_rma_get.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_init.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_init.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_declare.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_declare.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_pingping.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_pingping.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_rma_atomic.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_rma_atomic.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_allgather.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_allgather.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_nbc.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_nbc.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_pingpong.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_pingpong.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_barrier.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_barrier.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_init_file.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_init_file.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_declare.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_declare.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_reduce_scatter.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_reduce_scatter.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_benchlist.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_benchlist.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_reduce.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_reduce.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_comments.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_comments.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_gatherv.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_gatherv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_io.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_io.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_g_info.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_g_info.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_ext.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_ext.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_prototypes.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_prototypes.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_rma.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_rma.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_output.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_output.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_init_transfer.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_init_transfer.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_chk_diff.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_chk_diff.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_write.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_write.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_io.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_io.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_ones_unidir.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_ones_unidir.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_ext.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_ext.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_mpi1.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_mpi1.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_user_set_info.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_user_set_info.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_scatterv.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_scatterv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_exchange.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_exchange.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_rma.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_rma.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_nbc.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_nbc.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_window.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_window.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_comm_info.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_comm_info.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_settings_io.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_settings_io.h
6 packages and 0 specfiles checked; 0 errors, 70 warnings.




Rpmlint (debuginfo)
-------------------
Checking: intel-mpi-benchmarks-debuginfo-2017-1.fc27.x86_64.rpm
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_gather.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_gather.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_cpu_exploit.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_cpu_exploit.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_allreduce.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_allreduce.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_nbc.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_nbc.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_write.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_write.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_rma_atomic.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_rma_atomic.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_init_file.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_init_file.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_reduce_scatter.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_reduce_scatter.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_ext.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_ext.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_err_handler.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_err_handler.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_reduce.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_reduce.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_ext.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_ext.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_benchlist.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_benchlist.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_benchmark.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_benchmark.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_settings.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_settings.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_sendrecv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_sendrecv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_rma.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_rma.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_mpi1.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_mpi1.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_io.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_io.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_read.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_read.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_init.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_init.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_scatter.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_scatter.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_alltoallv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_alltoallv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_alltoall.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_alltoall.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_open_close.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_open_close.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_comments.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_comments.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_rma_get.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_rma_get.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_rma.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_rma.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_strgs.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_strgs.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_allgatherv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_allgatherv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_declare.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_declare.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_window.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_window.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_exchange.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_exchange.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_pingping.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_pingping.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_ones_bidir.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_ones_bidir.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_prototypes.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_prototypes.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_rma_put.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_rma_put.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_pingpong.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_pingpong.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_user_set_info.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_user_set_info.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_g_info.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_g_info.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_io.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_io.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_ones_unidir.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_ones_unidir.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_declare.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_declare.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bandwidth.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bandwidth.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_allgather.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_allgather.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bcast.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bcast.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_mpi1.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_mpi1.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_output.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_output.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_comm_info.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_comm_info.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_nbc.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_nbc.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_scatterv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_scatterv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_settings_io.h /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_settings_io.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_mem_manager.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_mem_manager.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_barrier.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_barrier.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_ones_accu.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_ones_accu.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_init_transfer.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_init_transfer.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_warm_up.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_warm_up.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_gatherv.c /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_gatherv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_chk_diff.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_chk_diff.c
1 packages and 0 specfiles checked; 0 errors, 60 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/NavScript.js
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/ehlpdhtm.js
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/intel_css_styles.css
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/search.js
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/searchdata.js
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/tree.css
intel-mpi-benchmarks-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/intel-mpi-benchmarks-doc/doc/IMB_Users_Guide/tree.js
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_allgather.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_allgather.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_allgatherv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_allgatherv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_allreduce.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_allreduce.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_alltoall.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_alltoall.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_alltoallv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_alltoallv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bandwidth.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bandwidth.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_barrier.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_barrier.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bcast.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bcast.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_benchlist.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_benchlist.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_benchmark.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_benchmark.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_ext.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_ext.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_io.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_io.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_mpi1.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_mpi1.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_nbc.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_nbc.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_bnames_rma.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_bnames_rma.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_chk_diff.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_chk_diff.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_comm_info.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_comm_info.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_comments.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_comments.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_cpu_exploit.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_cpu_exploit.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_declare.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_declare.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_declare.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_declare.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_err_handler.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_err_handler.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_exchange.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_exchange.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_g_info.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_g_info.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_gather.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_gather.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_gatherv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_gatherv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_init.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_init.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_init_file.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_init_file.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_init_transfer.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_init_transfer.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_mem_manager.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_mem_manager.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_ones_accu.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_ones_accu.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_ones_bidir.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_ones_bidir.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_ones_unidir.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_ones_unidir.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_open_close.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_open_close.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_output.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_output.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_ext.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_ext.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_io.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_io.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_mpi1.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_mpi1.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_nbc.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_nbc.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_parse_name_rma.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_parse_name_rma.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_pingping.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_pingping.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_pingpong.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_pingpong.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_prototypes.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_prototypes.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_read.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_read.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_reduce.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_reduce.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_reduce_scatter.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_reduce_scatter.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_rma_atomic.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_rma_atomic.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_rma_get.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_rma_get.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_rma_put.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_rma_put.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_scatter.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_scatter.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_scatterv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_scatterv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_sendrecv.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_sendrecv.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_settings.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_settings.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_settings_io.h /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_settings_io.h
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_strgs.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_strgs.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_user_set_info.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_user_set_info.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_warm_up.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_warm_up.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_window.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_window.c
intel-mpi-benchmarks-debuginfo.x86_64: W: cross-directory-hard-link /usr/src/debug/imb/imb/build-openmpi-x86_64/src/IMB_write.c /usr/src/debug/imb/imb/build-mpich-x86_64/src/IMB_write.c
intel-mpi-benchmarks-openmpi.x86_64: W: no-documentation
intel-mpi-benchmarks-mpich.x86_64: W: no-documentation
intel-mpi-benchmarks-license.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 70 warnings.



Requires
--------
intel-mpi-benchmarks-doc (rpmlib, GLIBC filtered):
    intel-mpi-benchmarks-license

intel-mpi-benchmarks-debuginfo (rpmlib, GLIBC filtered):

intel-mpi-benchmarks-openmpi (rpmlib, GLIBC filtered):
    intel-mpi-benchmarks-license
    libc.so.6()(64bit)
    libmpi.so.20()(64bit)(openmpi-x86_64)
    libpthread.so.0()(64bit)
    openmpi
    rtld(GNU_HASH)

intel-mpi-benchmarks-mpich (rpmlib, GLIBC filtered):
    intel-mpi-benchmarks-license
    libc.so.6()(64bit)
    libmpi.so.12()(64bit)(mpich-x86_64)
    mpich
    rtld(GNU_HASH)

intel-mpi-benchmarks-license (rpmlib, GLIBC filtered):



Provides
--------
intel-mpi-benchmarks-doc:
    intel-mpi-benchmarks-doc

intel-mpi-benchmarks-debuginfo:
    intel-mpi-benchmarks-debuginfo
    intel-mpi-benchmarks-debuginfo(x86-64)

intel-mpi-benchmarks-openmpi:
    intel-mpi-benchmarks-openmpi
    intel-mpi-benchmarks-openmpi(x86-64)

intel-mpi-benchmarks-mpich:
    intel-mpi-benchmarks-mpich
    intel-mpi-benchmarks-mpich(x86-64)

intel-mpi-benchmarks-license:
    intel-mpi-benchmarks-license



Source checksums
----------------
https://software.intel.com/sites/default/files/managed/a3/53/IMB_2017.tgz :
  CHECKSUM(SHA256) this package     : a675ccd50b0ee755d0e24e47df64cd6187831ade6df25644a6a65d28ecc05c6a
  CHECKSUM(SHA256) upstream package : a675ccd50b0ee755d0e24e47df64cd6187831ade6df25644a6a65d28ecc05c6a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1425960
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Michal Schmidt 2017-03-07 15:50:28 UTC
(In reply to Marcus Karlsson from comment #1)
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Unknown or generated", "zlib/libpng". 301 files have unknown
>      license. Detailed output of licensecheck in /home/mk/fedora/1425960
>      -intel-mpi-benchmarks/licensecheck.txt

The "zlib/libpng" is unexpected... Oh, it's even worse! The HTML documentation contains JavaScript files that look very non-free:
 search.js:
   WARNING: You must purchase a copy of FAR HTML v4 or greater to use this file.
 tree.js:
   Please don't use this file without purchasing FAR. http://helpware.net/FAR/

Oh well, I'll sanitize the tarball and let upstream know.
The HTML documentation is not essential.

> [!]: Uses parallel make %{?_smp_mflags} macro.

Yes, the build breaks with -jX. Anyway, it's fast enough without it, so this can be fixed later.

Comment 3 Michal Schmidt 2017-03-07 16:48:05 UTC
Thanks for the review!
I'm going to import the package with the following change:

--- intel-mpi-benchmarks.spec.orig	2017-02-22 22:02:31.000000000 +0100
+++ intel-mpi-benchmarks.spec	2017-03-07 17:42:33.500762850 +0100
@@ -1,10 +1,23 @@
 Summary: Intel MPI benchmarks
 Name:    intel-mpi-benchmarks
 Version: 2017
-Release: 1%{?dist}
+Release: 2%{?dist}
 License: CPL
 URL:     https://software.intel.com/en-us/articles/intel-mpi-benchmarks
-Source0: https://software.intel.com/sites/default/files/managed/a3/53/IMB_2017.tgz
+# The original upstream tarball is:
+#   https://software.intel.com/sites/default/files/managed/a3/53/IMB_2017.tgz
+# In it the following files with a non-free license were found:
+#   imb/imb/doc/IMB_Users_Guide/search.js:
+#     WARNING: You must purchase a copy of FAR HTML v4 or greater to use this file.
+#   imb/imb/doc/IMB_Users_Guide/tree.js:
+#     Please don't use this file without purchasing FAR. http://helpware.net/FAR/
+# FAR is an HTML help authoring tool. It's probably unintentional for it to
+# impose license restrictions on output generated by it, but to be safe
+# the HTML documentation has been removed from the tarball for Fedora:
+#   tar -xzvf IMB_2017.tgz
+#   rm -rf imb/imb/doc/{IMB_Users_Guide/,IMB_Users_Guide.htm,marker.js}
+#   tar -cjvf IMB_2017-clean.tar.xz --owner=0 --group=0 imb/
+Source0: IMB_2017-clean.tar.xz
 BuildRequires: gcc
 
 %global desc The Intel MPI Benchmarks perform a set of MPI performance measurements for\
@@ -106,6 +119,9 @@
 %doc doc/
 
 %changelog
+* Tue Mar 07 2017 Michal Schmidt <mschmidt@redhat.com> - 2017-2
+- Remove HTML docs from the tarball due to non-free JavaScript files.
+
 * Wed Feb 22 2017 Michal Schmidt <mschmidt@redhat.com> - 2017-1
 - Initial package for Fedora.
 - Parts copied from the mpitests package from RHEL.

Comment 5 Michal Schmidt 2017-03-07 16:59:38 UTC
pkgdb request filed.

Comment 6 Gwyn Ciesla 2017-03-07 17:17:03 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/intel-mpi-benchmarks

Comment 7 Michal Schmidt 2017-03-07 17:38:04 UTC
Reported the license issue on Intel forum:
https://software.intel.com/en-us/forums/intel-clusters-and-hpc-technology/topic/720025

Comment 8 Fedora Update System 2017-03-07 19:39:24 UTC
intel-mpi-benchmarks-2017-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b4cc51db3

Comment 9 mk 2017-03-09 23:00:22 UTC
Nice catch with the documentation.

Comment 10 Fedora Update System 2017-03-10 23:20:27 UTC
intel-mpi-benchmarks-2017-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b4cc51db3

Comment 11 Michal Schmidt 2017-03-14 10:48:54 UTC
I received a response from Intel in the forum.

Comment by Si, Zhuowei:
> Hi Michal,
> 
> It is not an issue. We purchased FAR HTML for html docs generating and the
> license says (http://www.helpwaregroup.com/products/far/eula):
> 
>     Product "FAR HTML" - FAR HTML allows you to generate Help files and other
>     software output. These files are your property to do with as you please,
>     provided you have purchased a license from Helpware to use the FAR HTML
>     product.
> 
> So, there are no FAR requirements/dependencies on customer side.
> 
> 
> Best regards,
> 
> Zhuowei

Comment 12 Fedora Update System 2017-04-01 16:51:22 UTC
intel-mpi-benchmarks-2017-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.